AFD Origin Groups - List By Profile

Lists all of the existing origin groups within a profile.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cdn/profiles/{profileName}/originGroups?api-version=2025-04-15

URI Parameters

Name In Required Type Description
profileName
path True

string

minLength: 1
maxLength: 260
pattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$

Name of the Azure Front Door Standard or Azure Front Door Premium which is unique within the resource group.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AFDOriginGroupListResult

OK

Other Status Codes

ErrorResponse

Azure Front Door error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

AFDOriginGroups_ListByProfile

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/RG/providers/Microsoft.Cdn/profiles/profile1/originGroups?api-version=2025-04-15

Sample response

{
  "value": [
    {
      "id": "/subscriptions/subid/resourcegroups/RG/providers/Microsoft.Cdn/profiles/profile1/origingroups/origingroup1",
      "type": "Microsoft.Cdn/profiles/origingroups",
      "name": "origingroup1",
      "properties": {
        "loadBalancingSettings": {
          "sampleSize": 3,
          "successfulSamplesRequired": 3,
          "additionalLatencyInMilliseconds": 1000
        },
        "healthProbeSettings": {
          "probePath": "/path1",
          "probeRequestType": "HEAD",
          "probeProtocol": "Http",
          "probeIntervalInSeconds": 10
        },
        "trafficRestorationTimeToHealedOrNewEndpointsInMinutes": 5,
        "provisioningState": "Succeeded",
        "deploymentStatus": "NotStarted"
      }
    }
  ]
}

Definitions

Name Description
AFDOriginGroup

AFDOrigin group comprising of origins is used for load balancing to origins when the content cannot be served from Azure Front Door.

AFDOriginGroupListResult

Result of the request to list origin groups. It contains a list of origin groups objects and a URL link to get the next set of results.

AfdProvisioningState

Provisioning status

createdByType

The type of identity that created the resource.

DeploymentStatus
EnabledState

Whether to enable use of this rule. Permitted values are 'Enabled' or 'Disabled'

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

HealthProbeParameters

The JSON object that contains the properties to send health probes to origin.

HealthProbeRequestType

The type of health probe request that is made.

LoadBalancingSettingsParameters

Round-Robin load balancing settings for a backend pool

ProbeProtocol

Protocol to use for health probe.

systemData

Metadata pertaining to creation and last modification of the resource.

AFDOriginGroup

AFDOrigin group comprising of origins is used for load balancing to origins when the content cannot be served from Azure Front Door.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.deploymentStatus

DeploymentStatus

properties.healthProbeSettings

HealthProbeParameters

Health probe settings to the origin that is used to determine the health of the origin.

properties.loadBalancingSettings

LoadBalancingSettingsParameters

Load balancing settings for a backend pool

properties.profileName

string

The name of the profile which holds the origin group.

properties.provisioningState

AfdProvisioningState

Provisioning status

properties.sessionAffinityState

EnabledState

Whether to allow session affinity on this host. Valid options are 'Enabled' or 'Disabled'

properties.trafficRestorationTimeToHealedOrNewEndpointsInMinutes

integer (int32)

minimum: 0
maximum: 50

Time in minutes to shift the traffic to the endpoint gradually when an unhealthy endpoint comes healthy or a new endpoint is added. Default is 10 mins. This property is currently not supported.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AFDOriginGroupListResult

Result of the request to list origin groups. It contains a list of origin groups objects and a URL link to get the next set of results.

Name Type Description
nextLink

string

URL to get the next set of origin objects if there are any.

value

AFDOriginGroup[]

List of Azure Front Door origin groups within an Azure Front Door endpoint

AfdProvisioningState

Provisioning status

Value Description
Succeeded
Failed
Updating
Deleting
Creating

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DeploymentStatus

Value Description
NotStarted
InProgress
Succeeded
Failed

EnabledState

Whether to enable use of this rule. Permitted values are 'Enabled' or 'Disabled'

Value Description
Enabled
Disabled

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

HealthProbeParameters

The JSON object that contains the properties to send health probes to origin.

Name Type Description
probeIntervalInSeconds

integer (int32)

minimum: 1
maximum: 255

The number of seconds between health probes.Default is 240sec.

probePath

string

The path relative to the origin that is used to determine the health of the origin.

probeProtocol

ProbeProtocol

Protocol to use for health probe.

probeRequestType

HealthProbeRequestType

The type of health probe request that is made.

HealthProbeRequestType

The type of health probe request that is made.

Value Description
NotSet
GET
HEAD

LoadBalancingSettingsParameters

Round-Robin load balancing settings for a backend pool

Name Type Description
additionalLatencyInMilliseconds

integer (int32)

The additional latency in milliseconds for probes to fall into the lowest latency bucket

sampleSize

integer (int32)

The number of samples to consider for load balancing decisions

successfulSamplesRequired

integer (int32)

The number of samples within the sample period that must succeed

ProbeProtocol

Protocol to use for health probe.

Value Description
NotSet
Http
Https

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.